---
updatedAt: 2026-07-07T08:53:12.000Z
agentTools:
  projectIndex: https://developers.miro.com/llms.txt
---

# Get all groups on a board

Returns all the groups and the items of the respective groups within a specific board.<br/> This method returns results using a cursor-based approach. A cursor-paginated  method returns a portion of the total set of results based on the limit specified and a cursor that points to the next portion of the results. To retrieve the next portion of the collection, on your next call to the same method, set the `cursor` parameter equal to the `cursor` value you received in the response of the previous request.<br/> For example, if you set the `limit` query parameter to `10` and the board  contains 20 items that are a part of a group, the first call will return information about the first 10 items in the response along with a cursor parameter and value. In this example, let's say the cursor parameter value returned in the response is `foo`. If you want to retrieve the next set of objects, on your next call to the same method, set the cursor parameter value to `foo`.<br/><h3>Required scope</h3> <a target="blank" href="/reference/scopes">boards:read</a> <br/><h3>Rate limiting</h3> <a target="blank" href="/reference/rate-limiting#rate-limit-tiers">Level 2</a><br/>

# OpenAPI definition

```json
{
  "openapi": "3.0.1",
  "info": {
    "title": "Platform groups",
    "version": "v2.0",
    "description": "Provides operations for managing groups of items within boards."
  },
  "x-settings": {
    "skip-tests": true,
    "publish": true
  },
  "servers": [
    {
      "url": "https://api.miro.com"
    }
  ],
  "security": [
    {
      "bearerAuth": []
    }
  ],
  "paths": {
    "/v2/boards/{board_id}/groups": {
      "get": {
        "description": "Returns all the groups and the items of the respective groups within a specific board.<br/> This method returns results using a cursor-based approach. A cursor-paginated  method returns a portion of the total set of results based on the limit specified and a cursor that points to the next portion of the results. To retrieve the next portion of the collection, on your next call to the same method, set the `cursor` parameter equal to the `cursor` value you received in the response of the previous request.<br/> For example, if you set the `limit` query parameter to `10` and the board  contains 20 items that are a part of a group, the first call will return information about the first 10 items in the response along with a cursor parameter and value. In this example, let's say the cursor parameter value returned in the response is `foo`. If you want to retrieve the next set of objects, on your next call to the same method, set the cursor parameter value to `foo`.<br/><h3>Required scope</h3> <a target=\"blank\" href=\"/reference/scopes\">boards:read</a> <br/><h3>Rate limiting</h3> <a target=\"blank\" href=\"/reference/rate-limiting#rate-limit-tiers\">Level 2</a><br/>",
        "operationId": "get-all-groups",
        "summary": "Get all groups on a board",
        "parameters": [
          {
            "in": "path",
            "name": "board_id",
            "description": "Unique identifier (ID) of the board.",
            "required": true,
            "schema": {
              "$ref": "#/components/schemas/BoardId"
            }
          },
          {
            "in": "query",
            "name": "limit",
            "description": "The maximum number of items to return at one time, default is 10, maximum is 50.",
            "required": false,
            "schema": {
              "type": "integer",
              "format": "int32",
              "default": 10,
              "maximum": 50,
              "minimum": 10
            }
          },
          {
            "in": "query",
            "name": "cursor",
            "required": false,
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "content": {
              "application/json": {
                "schema": {
                  "properties": {
                    "limit": {
                      "type": "integer",
                      "format": "int32",
                      "description": "Limit of items.",
                      "example": 10
                    },
                    "size": {
                      "type": "integer",
                      "format": "int32",
                      "description": "Size of the items.",
                      "example": 1
                    },
                    "data": {
                      "type": "array",
                      "items": {
                        "$ref": "#/components/schemas/GroupResponseShort"
                      }
                    }
                  }
                }
              }
            },
            "description": "Groups retrieved"
          },
          "400": {
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "code": {
                      "type": "string",
                      "description": "Code of the error.",
                      "example": "error"
                    },
                    "message": {
                      "type": "string",
                      "description": "Description of the error.",
                      "example": "Error message"
                    },
                    "status": {
                      "type": "integer",
                      "format": "int32",
                      "description": "Status Code of the error.",
                      "example": 400
                    },
                    "type": {
                      "type": "string",
                      "description": "Type of the error.",
                      "example": "error"
                    }
                  }
                }
              }
            },
            "description": "Malformed request"
          },
          "404": {
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "code": {
                      "type": "string",
                      "description": "Code of the error.",
                      "example": "error"
                    },
                    "message": {
                      "type": "string",
                      "description": "Description of the error.",
                      "example": "Error message"
                    },
                    "status": {
                      "type": "integer",
                      "format": "int32",
                      "description": "Status Code of the error.",
                      "example": 404
                    },
                    "type": {
                      "type": "string",
                      "description": "Type of the error.",
                      "example": "error"
                    }
                  }
                }
              }
            },
            "description": "Not found"
          },
          "429": {
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "code": {
                      "type": "string",
                      "description": "Code of the error.",
                      "example": "error"
                    },
                    "message": {
                      "type": "string",
                      "description": "Description of the error.",
                      "example": "Error message"
                    },
                    "status": {
                      "type": "integer",
                      "format": "int32",
                      "description": "Status Code of the error.",
                      "example": 429
                    },
                    "type": {
                      "type": "string",
                      "description": "Type of the error.",
                      "example": "error"
                    }
                  }
                }
              }
            },
            "description": "Too many requests"
          }
        },
        "tags": [
          "groups"
        ]
      }
    }
  },
  "components": {
    "schemas": {
      "BoardId": {
        "type": "string",
        "description": "[Unique identifier (ID) of the board](https://developers.miro.com/reference/board-model)",
        "example": "uXjVOfjmfkE="
      },
      "PageLinks": {
        "type": "object",
        "description": "Contains pagination links for the collection.",
        "properties": {
          "self": {
            "type": "string",
            "description": "Link to retrieve information in the current page of the collection.",
            "example": "http://api.miro.com/v2/boards/o9J_lJWSHdg=/items?limit=10&cursor=MzQ1OD1245643FWUyMDA3MzYyOX=="
          }
        }
      },
      "Group": {
        "type": "object",
        "description": "Contains the result data.",
        "properties": {
          "data": {
            "type": "object",
            "properties": {
              "items": {
                "type": "array",
                "description": "Unique identifier (ID) of the item.",
                "items": {
                  "type": "string"
                },
                "example": [
                  "3458764517517852417",
                  "3458764517517852418"
                ]
              }
            }
          }
        }
      },
      "GroupResponseShort": {
        "type": "object",
        "description": "Contains the result data.",
        "properties": {
          "id": {
            "type": "string",
            "description": "Unique identifier (ID) of the group.",
            "example": "3258764517517852419"
          },
          "type": {
            "type": "string",
            "description": "Indicates the type of object returned. In this case, `type` returns `group`.",
            "example": "group"
          },
          "data": {
            "$ref": "#/components/schemas/Group"
          },
          "links": {
            "$ref": "#/components/schemas/PageLinks"
          }
        }
      }
    },
    "securitySchemes": {
      "bearerAuth": {
        "scheme": "bearer",
        "type": "http"
      }
    }
  }
}
```

# Sibling pages

* [Create group](https://developers.miro.com/miro-ea/reference/creategroup.md)
* [Get items of a group by ID](https://developers.miro.com/miro-ea/reference/getitemsbygroupid.md)
* [Get a group by its ID](https://developers.miro.com/miro-ea/reference/getgroupbyid.md)
* [Ungroup items](https://developers.miro.com/miro-ea/reference/ungroup.md)
* [Updates a group with new items](https://developers.miro.com/miro-ea/reference/updategroup.md)
* [Deletes the group](https://developers.miro.com/miro-ea/reference/deletegroup.md)